package com.dbs.mplus.service.mobile.consent;

public enum ConsentItem {
	// 기왕력 데이터 저장할 때 파라메터 key값 변환을 위해서 만듬
	// dataName: 동의서 dataXML 에 정의된 Key
	// paramName: 기왕력 데이터 저장에 사용되는 Key
	
	IO_ADdate("IO_ADdate", "clnDate"),
	IO_bp("IO_bp", "bp"), 
	IO_dm("IO_dm", "dm"), 
	IO_heart("IO_heart", "heart"), 
	IO_kidney("IO_kidney", "kidney"), 
	IO_respiration("IO_respiration", "respiration"), 
	IO_hx("IO_hx", "hx"), 
	IO_allergy("IO_allergy", "allergy"), 
	IO_drug("IO_drug", "drug"), 
	IO_smoking("IO_smoking", "smoking"), 
	IO_idio("IO_idio", "idio"), 
	IO_nacrotics("IO_nacrotics", "nacrotics"), 
	IO_airway("IO_airway", "airway"), 
	IO_hemorrhage("IO_hemorrhage", "hemorrhage"), 
	IO_state_etc("IO_state_etc", "status_etc");
	
	private String dataName;
	private String paramName;
	
	private ConsentItem(String dataName, String paramName) {
		this.dataName = dataName;
		this.paramName = paramName;
	}
	
	public String getDataName() {
		return dataName;
	}
	
	public String getParamName() {
		return paramName;
	}
	
}
